<form class='{{cssClass}}' autocomplete='off'>
  {{! Item Sheet Header }}
  <header class='dsa-item-header' data-item-id='{{item.id}}'>
    <img
      class='dsa-item-header-icon'
      src='{{item.img}}'
      title='{{item.name}}'
      data-edit='img'
    />

    <h1 class='dsa-item-header-input'>
      <input
        name='name'
        type='text'
        value='{{item.name}}'
        placeholder='{{localize "DSA.Name"}}'
      />
    </h1>
    <div class='dsa-item-header-controls'>
      <a class='item-control item-delete' title='{{localize "DSA.Del"}}'><i
          class='fas fa-trash fa-2x'
        ></i></a>
    </div>
  </header>

  <div class='flexrow weapon-attributes-list'>
    <div class='attribute' data-attribute='talent'>
      <div class='attribute-label'>{{localize
          (concat 'DSA.weaponTalent')
        }}</div>
      <div class='flexrow'>
        <select name='system.talent'>
          {{#select data.system.talent}}
            {{#each rangedCombatTalents as |talent id|}}
              <option value='{{talent.sid}}'>{{talent.name}}</option>
            {{/each}}
          {{/select}}
        </select>
      </div>
    </div>
    <div class='attribute' data-attribute='damage'>
      <div class='attribute-label'>{{localize (concat 'DSA.damage')}}</div>
      <div class='flexrow'>
        <input
          name='system.damage'
          type='text'
          value='{{data.system.damage}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='ranges'>
      <div class='attribute-label'>{{localize (concat 'DSA.ranges')}}</div>
      <div class='flexrow'>
        {{#each data.system.ranges as |range key|}}
          <input
            name='system.ranges.{{key}}'
            type='number'
            data-dtype='Number'
            value='{{range}}'
            placeholder='{{localize "DSA.value"}}'
          />
        {{/each}}
      </div>
    </div>
    <div class='attribute' data-attribute='bonusDamages'>
      <div class='attribute-label'>{{localize
          (concat 'DSA.bonusDamages')
        }}</div>
      <div class='flexrow'>
        {{#each data.system.bonusDamages as |bonus_damage key|}}
          <input
            name='system.bonusDamages.{{key}}'
            type='number'
            data-dtype='Number'
            value='{{bonus_damage}}'
            placeholder='{{localize "DSA.value"}}'
          />
        {{/each}}
      </div>
    </div>
    <div class='attribute' data-attribute='loadtime'>
      <div class='attribute-label'>{{localize (concat 'DSA.loadtime')}}</div>
      <div class='flexrow'>
        <input
          name='system.loadtime'
          type='number'
          data-dtype='Number'
          value='{{data.system.loadtime}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='price'>
      <div class='attribute-label'>{{localize (concat 'DSA.price')}}</div>
      <div class='flexrow'>
        <input
          name='system.price'
          type='number'
          data-dtype='Number'
          value='{{data.system.price}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='projectilePrice'>
      <div class='attribute-label'>{{localize
          (concat 'DSA.projectilePrice')
        }}</div>
      <div class='flexrow'>
        <input
          name='system.projectilePrice'
          type='number'
          data-dtype='Number'
          value='{{data.system.projectilePrice}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='weight'>
      <div class='attribute-label'>{{localize (concat 'DSA.weight')}}</div>
      <div class='flexrow'>
        <input
          name='system.weight'
          type='number'
          data-dtype='Number'
          value='{{data.system.weight}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='loweredWoundThreshold'>
      <div class='attribute-label'>{{localize
          (concat 'DSA.loweredWoundThreshold')
        }}</div>
      <div class='flexrow'>
        <input
          name='system.loweredWoundThreshold'
          type='checkbox'
          data-dtype='Boolean'
          {{checked data.loweredWoundThreshold}}
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='improvised'>
      <div class='attribute-label'>{{localize (concat 'DSA.improvised')}}</div>
      <div class='flexrow'>
        <input
          name='system.improvised'
          type='checkbox'
          data-dtype='Boolean'
          {{checked data.improvised}}
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='entangles'>
      <div class='attribute-label'>{{localize (concat 'DSA.entangles')}}</div>
      <div class='flexrow'>
        <input
          name='system.entangles'
          type='checkbox'
          data-dtype='Boolean'
          {{checked data.entangles}}
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='description'>
      <div class='attribute-label'>{{localize (concat 'DSA.description')}}</div>
      <div class='flexrow'>
        <textarea
          name='system.description'
          data-dtype='String'
        >{{data.system.description}}</textarea>
      </div>
    </div>

  </div>

</form>